#ifndef _TEST_APP
#define _TEST_APP


#include "ofMain.h"

#define USING_ADDON_OBJLOADER
#define USING_ADDON_OFDIRLIST
#define USING_ADDON_OFVECTORMATH
#define USING_ADDON_OFNETWORK
#define USING_ADDON_OFOSC
#define USING_ADDON_OFTHREAD
#define USING_ADDON_OFXML
#define USING_ADDON_OFOPENCV

#include "ofAddons.h"

class testApp : public ofSimpleApp{
	
	public:
		
		void setup();
		void update();
		void draw();
		
		void keyPressed  (int key);
		void keyReleased (int key);
		
		void mouseMoved(int x, int y );
		void mouseDragged(int x, int y, int button);
		void mousePressed(int x, int y, int button);
		void mouseReleased();
		
};

#endif
	
